Provision DRM
Idempotent - safe to call repeatedly. Creates the DRMtoday sub-organization, key/IV seeds, and license-authorization signing secret on first call. On a retry after a partial failure, completed steps are preserved and only the remaining steps run. Provisioning typically takes a few seconds.
curl -X POST "https://api.5centscdn.com/v2/drm/provision" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/provision"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/provision", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/drm/provision", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/provision')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"tenant": {
"serviceid": 10001,
"merchant_uuid": "7095f192-f424-45d5-a43f-447e8c09449c",
"merchant_api_name": "5centscdn_svc10001",
"merchant_name": "Acme Streaming Inc",
"status": "active",
"key_seed_id": "594c95c6-a607-4860-8270-03d1e866e34f",
"iv_seed_id": "257cc88a-b130-460b-a875-fc502f0662e4",
"key_systems_enabled": null,
"live_cpix_config_id": "3f2b8c1d-6e4a-4b7f-9c2d-1a5e8f0b7c63",
"auth_secret_kid": "84ce8bbc-eb7f-42fd-bcc4-f42634b0067b",
"auth_secret": 0,
"synced_at": "2026-09-22 12:03:18",
"created_at": "2026-09-22 12:03:18",
"updated_at": "2026-09-22 12:03:18"
}
}
/drm/provision
Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Responses
Operation outcome. Returns error if provisioning failed or is still pending.
successerrorResulting DRM tenant record.